Uploaded image for project: 'PresideCMS'
  1. PRESIDECMS-706

SQL Server: DB migration script for 10.7.0 fails

    Details

    • Type: Bug
    • Status: Done
    • Priority: Medium
    • Resolution: Fixed
    • Affects versions: None
    • Fix versions: 10.7.24
    • Labels:
      None
    • Sprint:
    • Accepted:
      Yes

      Description

      Incorrect syntax near 'latest'.
      SQL 
      update [_version_psys_asset] [latest]
      left join [_version_psys_asset] [older] on [older].id = latest.id and [older]._version_number > latest._version_number and ( [older]._version_is_draft is null or [older]._version_is_draft = '0' )
      set [latest]._version_is_latest = '1'
      where [older].id is null
      and ( [latest]._version_is_draft is null or [latest]._version_is_draft = '0' )
      DatabaseName    Microsoft SQL Server
      DatabaseVersion 13.00.4001
      DriverName  Microsoft JDBC Driver 4.0 for SQL Server
      DriverVersion   4.0.2206.100
      Datasource  preside
      Stacktrace  The Error Occurred in
      C:\Users\ChrisDawes\.CommandBox\server\61990A7F266508801D2DCF1EAB331A7A-PresideNew\lucee-4.5.3.020\components\org\lucee\cfml\Base.cfc: line 163 
      161: !---><cfqueryparam attributecollection="#item#"><!---
      162: !---></cfif></cfloop>
      163: </cfquery>
      164: 
      165: <cfset result.setResult(q)>  
      

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              admin Dominic Watson
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: